INTERFACE
 subroutine hlcondst(&
 & kscall, khor, klev,&
 & kstep, kstart, kstop,&
 & pdtime,&
 & pt, pq, pcw,&
 & pcice, pqampli,&
 & ppf, pdpf,&
 & klabcv, klab,&
 & pzpsp, pzldcp, pzqsat,&
 & pzdqsdt, pzdqsdp, pzqp,&
 & pztp, pzcwp, pzcicep,&
 & pfcsql, pfcsqn ) 
use parkind1 ,only : jpim, jprb
integer(kind=jpim), intent(in) :: kscall
integer(kind=jpim), intent(in) :: khor
integer(kind=jpim), intent(in) :: klev
integer(kind=jpim), intent(in) :: kstep
integer(kind=jpim), intent(in) :: kstart
integer(kind=jpim), intent(in) :: kstop
real(kind=jprb), intent(in) :: pdtime
real(kind=jprb), intent(in) :: pt(khor,klev)
real(kind=jprb), intent(in) :: pq(khor,klev)
real(kind=jprb), intent(in) :: pcw(khor,klev)
real(kind=jprb), intent(in) :: pcice(khor,klev)
real(kind=jprb), intent(in) :: ppf(khor,klev)
real(kind=jprb), intent(in) :: pdpf(khor,klev)
real(kind=jprb), intent(in) :: pqampli(khor,klev)
integer(kind=jpim), intent(in) :: klabcv(khor,klev)
integer(kind=jpim), intent(in) :: klab(khor,klev)
real(kind=jprb), intent(in) :: pzpsp(khor)
real(kind=jprb), intent(inout) :: pzldcp(khor,klev)
real(kind=jprb), intent(inout) :: pzqsat(khor,klev)
real(kind=jprb), intent(inout) :: pzdqsdt(khor)
real(kind=jprb), intent(in) :: pzdqsdp(khor)
real(kind=jprb), intent(inout) :: pzqp(khor,klev)
real(kind=jprb), intent(inout) :: pztp(khor,klev)
real(kind=jprb), intent(inout) :: pzcwp(khor,klev)
real(kind=jprb), intent(inout) :: pzcicep(khor,klev)
real(kind=jprb), intent(inout) :: pfcsql(khor,0:klev)
real(kind=jprb), intent(inout) :: pfcsqn(khor,0:klev)
end subroutine hlcondst
END INTERFACE
